
Redmine - Feature #33730

Add new issue links for each version to the version list page

2020-07-14 08:29 - Mizuki ISHIKAWA

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:    

Description

Currently there is a new issue link on the versions/show page(#28138). Clicking on that link will open a new issues page with the

version already selected.

I think it would be useful to have a similar new issue link on the version list page.

 ScreenShot_2020-07-14_15.24.25.png 

History

#1 - 2020-07-14 08:30 - Mizuki ISHIKAWA

- File feature-33730.patch added

I attach a patch that add links.

#2 - 2020-07-18 08:58 - Go MAEDA

- Target version set to Candidate for next major release

#3 - 2020-07-18 09:28 - Go MAEDA

- File Screenshot_2020-07-18_roadmap.png added

- File Screenshot_2020-07-18_version.png added

- File feature-33730-v2.patch added

Thank you for posting the improvement.

I suggest making the patch more consistent with /versions/:id page. What do you think?

Swap the position of Edit and New issue button

Add a caption to Edit button

Roadmap page (patched):

 Screenshot_2020-07-18_roadmap.png 

Version page:

 Screenshot_2020-07-18_version.png 

#4 - 2020-07-20 01:37 - Mizuki ISHIKAWA

Go MAEDA wrote:

Thank you for posting the improvement.

I suggest making the patch more consistent with /versions/:id page. What do you think?

Swap the position of Edit and New issue button

Add a caption to Edit button

 I think it's good.

Files

ScreenShot_2020-07-14_15.24.25.png 157 KB 2020-07-14 Mizuki ISHIKAWA
https://www.redmine.org/issues/28138


feature-33730.patch 2.16 KB 2020-07-14 Mizuki ISHIKAWA

Screenshot_2020-07-18_roadmap.png 85.4 KB 2020-07-18 Go MAEDA

Screenshot_2020-07-18_version.png 107 KB 2020-07-18 Go MAEDA

feature-33730-v2.patch 2.21 KB 2020-07-18 Go MAEDA
